> For the complete documentation index, see [llms.txt](https://docs.non-obvious.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.non-obvious.ai/sdks-guide/ai-guide/caption-and-tag-generator/generatecaptionandtagsfromimage.md).

# generateCaptionAndTagsFromImage

## Description

Generate caption and tags for an image.

## Parameters

| Parameter | Type   | Description |
| --------- | ------ | ----------- |
| imageUrl  | string | mage URL    |

## Response

| Parameter | Type          | Description                                                                                          |
| --------- | ------------- | ---------------------------------------------------------------------------------------------------- |
| caption   | string        | generated caption for the image                                                                      |
| message   | string        | message about the request                                                                            |
| status    | int           | <p>1 for successfull execution</p><p>-1 for any error occurs during the execution of the request</p> |
| tags      | list\[string] | list if generated tags                                                                               |

## Example Request and Response

### Prerequisites

Before making requests with NO.AI SDK, you must have it installed.

You can install NO.AI SDK using either `npm` or `yarn`. Use the following commands to install NO.AI SDK:

```sh
npm install @nest25/ai-core-sdk
OR
yarn add @nest25/ai-core-sdk
```

## Request

Here is an example of how to make a `generateCaptionAndTagsFromImage` request using the NO.AI SDK:

```javascript
// import the ai-core-sdk
import {AIServices} from '@nest25/ai-core-sdk';

// create a new instance of the sdk
const aiServices = new AIServices();

async function main() {
  // get the result of the test
  const result = await aiServices.generateCaptionAndTagsFromImage('https://ik.imagekit.io/BIOSPHERE/1678716455079_PTj9bkO9d.jpeg');
  console.log(result);
}

main();
```

## Response

```json
{
    "caption": "generated caption",
    "message": "Success",
    "status": 1,
    "tags": ["generated tags"]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.non-obvious.ai/sdks-guide/ai-guide/caption-and-tag-generator/generatecaptionandtagsfromimage.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
